View Issue Details

IDProjectCategoryView StatusLast Update
0005248Talerotherpublic2018-04-15 20:33
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005248: Back-office Website test cases.
DescriptionThe back-office *Website* needs thorough tests:

- Switching between instances should trigger /history
- Scrolling the page should trigger /history in a "scroll fashion"
- Clicking on order id should open the result dialog
- The list can certainly grow..
TagsNo tags attached.

Activities

Marcello Stanisci

2018-01-08 13:16

manager   ~0012739

Also interesting and likely to be useful, how to mock objects up:

https://stackoverflow.com/questions/4198972/how-can-i-mock-window-document-for-testing-dom-centric-javascript#4199112

Marcello Stanisci

2018-01-08 15:31

manager   ~0012741

sinonjs tutorial: https://semaphoreci.com/community/tutorials/best-practices-for-spies-stubs-and-mocks-in-sinon-js

Marcello Stanisci

2018-01-12 14:55

manager   ~0012779

38cefbc contains tests about the logic (python's and JS's).
UI tests are not strongly required at this stage of development.

Issue History

Date Modified Username Field Change
2018-01-06 12:57 Marcello Stanisci New Issue
2018-01-06 12:57 Marcello Stanisci Summary Back-office test cases. => Back-office Website test cases.
2018-01-06 12:58 Marcello Stanisci Target Version => 0.6
2018-01-08 13:16 Marcello Stanisci Note Added: 0012739
2018-01-08 15:31 Marcello Stanisci Note Added: 0012741
2018-01-12 14:55 Marcello Stanisci Assigned To => Marcello Stanisci
2018-01-12 14:55 Marcello Stanisci Status new => resolved
2018-01-12 14:55 Marcello Stanisci Resolution open => fixed
2018-01-12 14:55 Marcello Stanisci Note Added: 0012779
2018-01-15 15:36 Christian Grothoff Severity minor => feature
2018-01-15 15:36 Christian Grothoff Product Version => SVN HEAD
2018-01-15 15:36 Christian Grothoff Fixed in Version => 0.5
2018-01-15 15:36 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:33 Christian Grothoff Status resolved => closed